﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
              xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.XamarinForms;assembly=ThinkGeo.UI.XamarinForms"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             x:Class="ThinkGeo.UI.XamarinForms.HowDoI.GetAllFeatureDataSample">
    <ContentPage.Content>
        <StackLayout>
            <Expander x:Name="controlsExpander">
                <!-- Sample Description -->
                <Expander.Header>
                    <StackLayout Orientation="Horizontal" Padding="8">
                        <Label x:Name="descriptionLabel"
                               FontSize="Subtitle" 
                               VerticalOptions="Center" 
                               HorizontalOptions="StartAndExpand"/>
                        <BoxView Color="LightGray" 
                                 WidthRequest="1" 
                                 VerticalOptions="Center" 
                                 HorizontalOptions="Center"/>
                        <Image Source="chevron_down.png" HeightRequest="44" VerticalOptions="Start" HorizontalOptions="End">
                            <Image.Triggers>
                                <DataTrigger TargetType="Image"
                                             Binding="{Binding Source={RelativeSource AncestorType={x:Type Expander}}, Path=IsExpanded}"
                                             Value="True">
                                    <Setter Property="Rotation"
                                            Value="180"/>
                                </DataTrigger>
                            </Image.Triggers>
                        </Image>
                    </StackLayout>
                </Expander.Header>

                <!-- Sample Controls -->
                <Expander.Content>
                    <Grid HeightRequest="300">
                        <Label Grid.Column="1" Grid.Row="0" FontAttributes="Italic" Text="Select a hotel from the list to zoom to that location"></Label>

                        <Label Grid.Column="1" Grid.Row="1" FontSize="Subtitle" FontAttributes="Bold" Text="Frisco Hotels Feature Data"></Label>

                        <ListView Grid.Column="1" Grid.Row="2" x:Name="lsbHotels" ItemSelected="lsbHotels_SelectionChanged">
                            <ListView.ItemTemplate>
                                <DataTemplate>
                                    <ViewCell>
                                        <Grid>
                                            <Label Grid.Row="0" Grid.Column="0" Text="{Binding Path=Name}" FontAttributes="Bold"/>
                                            <Label Grid.Row="1" Grid.Column="1" Text="{Binding Path=Rooms, StringFormat='Rooms: {0}'}"/>
                                            <Label Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="2" Text="{Binding Path=Address, StringFormat='Address: {0}'}"/>

                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="*"></ColumnDefinition>
                                                <ColumnDefinition Width="Auto"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="*"></RowDefinition>
                                                <RowDefinition Height="*"></RowDefinition>
                                            </Grid.RowDefinitions>
                                        </Grid>
                                    </ViewCell>
                                </DataTemplate>
                            </ListView.ItemTemplate>
                        </ListView>

                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="5" />
                            <ColumnDefinition Width="*" />
                            <ColumnDefinition Width="5" />
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>
                    </Grid>
                </Expander.Content>
            </Expander>

            <!-- Map Control -->
            <ThinkGeoUI:MapView x:Name="mapView" VerticalOptions="FillAndExpand"></ThinkGeoUI:MapView>

        </StackLayout>
    </ContentPage.Content>
</ContentPage>
